osl::checkmate::ImmediateCheckmateTable Class Reference

`#include <immediateCheckmateTable.h>`

## Public Member Functions

| ImmediateCheckmateTable ()
unsigned char | dropPtypeMaskOf (unsigned int liberty_drop_mask) const
unsigned char | dropPtypeMask (King8Info canMoveMask) const
unsigned int | ptypeDropMask (Ptype ptype, King8Info canMoveMask) const
unsigned int | blockingMask (Ptype ptype, Direction dir) const
unsigned int | noEffectMask (Ptype ptype, Direction dir) const

## Private Attributes

CArray< unsigned char, 0x10000u > | dropPtypeMasks
CArray2d< unsigned char, 0x100u, PTYPE_SIZE > | ptypeDropMasks
CArray2d< unsigned char, PTYPE_SIZE, 8 > | blockingMasks
CArray2d< unsigned short, PTYPE_SIZE, 8 > | noEffectMasks

## Detailed Description

Definition at line 12 of file immediateCheckmateTable.h.

## Constructor & Destructor Documentation

## ImmediateCheckmateTable()

osl::checkmate::ImmediateCheckmateTable::ImmediateCheckmateTable | ( |  | ) |

Definition at line 30 of file immediateCheckmateTable.cc.

References osl::BLACK, blockingMasks, osl::Board_Table, osl::dirToMask(), dropPtypeMasks, osl::newPtypeO(), noEffectMasks, osl::PTYPE_BASIC_MIN, osl::PTYPE_MAX, osl::PTYPE_PIECE_MIN, osl::Ptype_Table, ptypeDropMasks, and osl::shortToLong().

## Member Function Documentation

## blockingMask()

unsigned int osl::checkmate::ImmediateCheckmateTable::blockingMask | ( | Ptype | ptype,
|  | Direction | dir ) const

inline

Definition at line 33 of file immediateCheckmateTable.h.

References blockingMasks.

## dropPtypeMask()

unsigned char osl::checkmate::ImmediateCheckmateTable::dropPtypeMask | ( | King8Info | canMoveMask | ) | const

inline

Definition at line 25 of file immediateCheckmateTable.h.

References dropPtypeMaskOf(), and osl::checkmate::King8Info::libertyDropMask().

## dropPtypeMaskOf()

unsigned char osl::checkmate::ImmediateCheckmateTable::dropPtypeMaskOf | ( | unsigned int | liberty_drop_mask | ) | const

inline

Definition at line 21 of file immediateCheckmateTable.h.

References dropPtypeMasks.

Referenced by dropPtypeMask().

## noEffectMask()

unsigned int osl::checkmate::ImmediateCheckmateTable::noEffectMask | ( | Ptype | ptype,
|  | Direction | dir ) const

inline

Definition at line 38 of file immediateCheckmateTable.h.

References noEffectMasks.

## ptypeDropMask()

unsigned int osl::checkmate::ImmediateCheckmateTable::ptypeDropMask | ( | Ptype | ptype,
|  | King8Info | canMoveMask ) const

inline

Definition at line 29 of file immediateCheckmateTable.h.

References osl::checkmate::King8Info::liberty(), and ptypeDropMasks.

## Member Data Documentation

## blockingMasks

CArray2d<unsigned char,PTYPE_SIZE,8> osl::checkmate::ImmediateCheckmateTable::blockingMasks

private

Definition at line 17 of file immediateCheckmateTable.h.

Referenced by blockingMask(), and ImmediateCheckmateTable().

## dropPtypeMasks

CArray<unsigned char,0x10000u> osl::checkmate::ImmediateCheckmateTable::dropPtypeMasks

private

Definition at line 15 of file immediateCheckmateTable.h.

Referenced by dropPtypeMaskOf(), and ImmediateCheckmateTable().

## noEffectMasks

CArray2d<unsigned short,PTYPE_SIZE,8> osl::checkmate::ImmediateCheckmateTable::noEffectMasks

private

Definition at line 18 of file immediateCheckmateTable.h.

Referenced by ImmediateCheckmateTable(), and noEffectMask().

## ptypeDropMasks

CArray2d<unsigned char,0x100u,PTYPE_SIZE> osl::checkmate::ImmediateCheckmateTable::ptypeDropMasks

private

Definition at line 16 of file immediateCheckmateTable.h.

Referenced by ImmediateCheckmateTable(), and ptypeDropMask().

The documentation for this class was generated from the following files:

- immediateCheckmateTable.h
- immediateCheckmateTable.cc